from .additions.early_fusion_from_monoview import BaseEarlyFusion
from ..utils.hyper_parameter_search import CustomRandint

# from ..utils.dataset import get_v

classifier_class_name = "EarlyFusionIBDT"


class EarlyFusionIBDT(BaseEarlyFusion):

    def __init__(self, random_state=None, max_depth=None, n_estimators=10,
                 sampling_strategy="auto", replacement=False,
                 criterion='gini', splitter='best', **kwargs):
        BaseEarlyFusion.__init__(self, random_state=random_state,
                                 monoview_classifier="ib_decision_tree",
                                 n_estimators=n_estimators,
                                 sampling_strategy=sampling_strategy,
                                 replacement=replacement,
                                 base_estimator__max_depth=max_depth,
                                 base_estimator__criterion=criterion,
                                 base_estimator__splitter=splitter, **kwargs)
        self.param_names = ["n_estimators", "sampling_strategy",
                            "base_estimator__max_depth",
                            "base_estimator__criterion",
                            "base_estimator__splitter",
                            'random_state']
        self.classed_params = []
        self.distribs = [CustomRandint(low=1, high=50),
                         ["auto"],CustomRandint(low=1, high=300),
                         ["gini", "entropy"],
                         ["best", "random"], [random_state]]
        self.weird_strings = {}