from .additions.early_fusion_from_monoview import BaseEarlyFusion
from ..utils.hyper_parameter_search import CustomRandint

# from ..utils.dataset import get_v

classifier_class_name = "EarlyFusionIBRF"


class EarlyFusionIBRF(BaseEarlyFusion):

    def __init__(self, random_state=None, max_depth=None, n_estimators=10,
                 sampling_strategy="auto", replacement=False, **kwargs):
        BaseEarlyFusion.__init__(self, random_state=random_state,
                                 monoview_classifier="ib_random_forest",
                                 n_estimators=n_estimators,
                                 sampling_strategy=sampling_strategy,
                                 replacement=replacement,
                                 base_estimator__max_depth=max_depth,
                                 base_estimator__criterion="gini",
                                 base_estimator__splitter='best', **kwargs)
        self.param_names = ["n_estimators", "sampling_strategy",
                            "base_estimator__n_estimators",
                            "base_estimator__max_depth",
                            "base_estimator__criterion",
                            'random_state']
        self.classed_params = []
        self.distribs = [CustomRandint(low=1, high=50),
                         ["auto"],CustomRandint(low=1, high=300),
                         CustomRandint(low=1, high=10),
                         ["gini", "entropy"], [random_state]]
        self.weird_strings = {}