from .additions.early_fusion_from_monoview import BaseEarlyFusion
from ..utils.hyper_parameter_search import CustomRandint, CustomUniform

classifier_class_name = "EarlyFusionRSCM"


class EarlyFusionRSCM(BaseEarlyFusion):

    def __init__(self, n_estimators=100, max_samples=0.5, max_features=0.5,
                 max_rules=10, p_options=[1.0], model_type="conjunction",
                 random_state=None, **kwargs):
        if isinstance(p_options, float):
            p_options = [p_options]
        BaseEarlyFusion.__init__(self, random_state=random_state,
                                     monoview_classifier="random_scm",
                                     n_estimators=n_estimators,
                                     max_samples=max_samples,
                                     max_features=max_features,
                                     max_rules=max_rules,
                                     p_options=p_options,
                                     model_type=model_type, **kwargs)
        self.param_names = ["n_estimators", "max_rules", "max_samples", "max_features", "model_type", "p_options", "random_state"]
        self.classed_params = []
        self.distribs = [CustomRandint(low=1, high=300), CustomRandint(low=1, high=20),
                         CustomUniform(), CustomUniform(), ["conjunction", "disjunction"], CustomUniform(), [random_state]]
        self.weird_strings = {}